Subject: Re: [AAA-WG]: Update: The Remaining Issues

From: Miguel Ángel Monjas Llorente <[email-masked]>
Date: Mon, 03 Sep 2001 09:49:05 +0200

Jari Arkko wrote:
> 
> > Issue 150: Steven and I both agree that adding an S/MIME & CMS introduction
> >            is really unnecessary, and we propose rejecting this issue. I
> >            am waiting for WG input before proceeding.
> 
> Well, after reading the issue and the exchanged e-mails, I too started
> to wonder why section 6.2 uses CMS directly, and 6.1 via S/MIME.
> Is this really so, or does this part need clarification? Or should I
> read the document again, carefully? ;-)

Maybe we both might do it ;-)) Maybe I should read again CMS
specification...

> I agree though that we don't need an introduction to S/MIME and
> CMS in this document. But some statement at the beginning on
> why CMS was selected might be in order. Say, at the end of 1.0,
> add "The Diameter CMS application provides end-to-end
> security within a Diameter network involving proxies. It
> leverages Cryptographic Message Syntax (CMS),
> an application layer encapsulation format. CMS is
> widely used, and also forms the basis for the secure MIME
> format (S/MIME)."

It looks coherent. I would move either the mention to S/MIME toolkit
from its present placement to the suggested by Jari.

Regards

  // M.A.